using BukiVedi.Shared.Models;

namespace BukiVedi.Shared.Apps
{
    public interface IAuthorHandler
    {
        Task<IEnumerable<BookInfo>> SearchByAuthor(string id, OperationContext context);
        Task AddToFavorite(string id, OperationContext context);
        Task RemoveFromFavorite(string id, OperationContext context);
        Task<IEnumerable<AuthorInfo>> GetAllAuthors(OperationContext context);
        Task<IEnumerable<AuthorInfo>> GetFavoriteAuthors(OperationContext context);
    }
}
